Package com.tietoenator.trip.jxp.pool

# Class TdbPooledSession

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.session.TdbSession
com.tietoenator.trip.jxp.pool.TdbPooledSession

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`

Direct Known Subclasses:
  `TdbTripNetPooledSession`, `TdbWebPooledSession`

public class TdbPooledSession extends TdbSession
Contains a session within a session pool

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `login(String username, String password)`
  Invalid operation for a pooled session
  `void`
  `login(String username, String password, TdbLanguage language, boolean restart)`
  Invalid operation for a pooled session
  `void`
  `logout()`
  Returns the session to the pool for reuse
  `void`
  `logout(boolean save)`
  Returns the session to the pool for reuse

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSession

  `authenticate, dateforms, enableLogging, enableNotification, enableNotification, fieldTypes, getActivityLog, getApiKeyMode, getBackgroundTaskSink, getBuildNumber, getCharacterSet, getCharacterSetName, getControlCache, getCurrentDateform, getDateform, getDefaultQueueName, getDefinedViews, getFieldType, getFieldType, getJobResultSink, getNotificationSink, getPid, getRevisionNumber, getServerApiLog, getServerName, getServerXpiLog, getSessionId, getSessionType, getSubsystemID, getSubsystemName, getUsername, getVersion, hasLogCheckpoint, isApiLogEnabled, isConnected, isFileManager, isLicensedFor, isLoggedIn, isSystemManager, isTicketsEnabled, isTokensEnabled, isUserManager, isWorking, isXpiLogEnabled, licensedProducts, pollJobResults, refreshAccessToken, requestAccessToken, requestLoginTicket, revokeLoginTicket, revokeToken, revokeTokens, setActivityLog, setBackgroundTaskSink, setJobResultSink, setLogCheckpoint, setNotificationSink, subsystemNames, supportsFeature, validate, writeActivityLog`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### login

    public void login(String username, String password) throws TdbException
    Invalid operation for a pooled session
    Overrides:
      `login` in class `TdbSession`
    Parameters:
      `username` - The TRIP username to use
      `password` - The TRIP password to use
    Throws:
      `TdbException`
    See Also:
      - `

        To log in with an access token, pass the access token string as the password. If token based login requires an API key, pass the API key string as the username. Otherwise, pass an empty string as the username. An API key is required if the getApiKeyMode() method returns TdbApiKeyMode.Always.

        To log in with a login ticket, pass an empty string as the username and the ticket as the password. Note that login tickets have been superseded by access token as per version 8.3-2 of TRIPjxp.

        This method causes network I/O.

        `

  - ### login

    public void login(String username, String password, TdbLanguage language, boolean restart) throws TdbException
    Invalid operation for a pooled session
    Overrides:
      `login` in class `TdbSession`
    Parameters:
      `username` - The TRIP username to use
      `password` - The TRIP password to use (this gets encrypted for transmission)
      `language` - The CCL language dialect to use
      `restart` - If set high, signal TRIP to attempt to restart from a previous session
    Throws:
      `TdbException`
    See Also:
      - `

        To log in with an access token, pass the access token string as the password. If token based login requires an API key, pass the API key string as the username. Otherwise, pass an empty string as the username. An API key is required if the getApiKeyMode() method returns TdbApiKeyMode.Always.

        To log in with a login ticket, pass an empty string as the username and the ticket as the password. Note that login tickets have been superseded by access tokens as per version 8.3-2 of TRIPjxp!

        This method causes network I/O.

        `

  - ### logout

    public void logout() throws TdbException
    Returns the session to the pool for reuse
    Overrides:
      `logout` in class `TdbSession`
    Throws:
      `TdbException`

  - ### logout

    public void logout(boolean save) throws TdbException
    Returns the session to the pool for reuse
    Overrides:
      `logout` in class `TdbSession`
    Parameters:
      `save` - This parameter is ignored for pooled sessions
    Throws:
      `TdbException`